/*
* Copyright 2004,2005 The Apache Software Foundation.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.wso2.throttle.factory;

import org.wso2.throttle.CallerConfiguration;
import org.wso2.throttle.ThrottleConstants;
import org.wso2.throttle.ThrottleException;
import org.wso2.throttle.impl.ipbase.IPBaseCallerConfiguration;

/**
 *
 *
 */

public class CallerConfigurationFactory {

    /**
     * To create a CallerConfiguration instance
     *
     * @param throttletype - the type of the thorttle
     * @return CallerConfiguration
     * @throws ThrottleException
     */
    public static CallerConfiguration createCallerConfiguration(int throttletype) throws ThrottleException {
        if (ThrottleConstants.IP_BASE == throttletype) {
            return new IPBaseCallerConfiguration();
        } else {
            throw new ThrottleException("unknown throttle type");
        }
    }
}
